Package com.sas.lsaf.clinical.study.tlf

## Interface StudyTlfService

-     public interface StudyTlfService

  The service to manage the Tables, Listings and Figures.
  Since:
    2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<AnalysisDataset>` | `getAnalysisDatasetsByResultId​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String resultId)` | Gets the analysis data sets by the analysis results id.
    `java.util.List<AnalysisDataset>` | `getAnalysisDatasetsByResultIdentifier​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String resultIdentifier)` | Gets the analysis data sets by the analysis results identifier.
    `java.util.List<AnalysisResult>` | `getAnalysisResultsByStudyTlfId​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String tlfId)` | Gets the analysis results for the TLF id.
    `java.util.List<AnalysisResult>` | `getAnalysisResultsByStudyTlfIdentifier​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String tlfIdentifier)` | Gets the analysis results for the TLF identifier.
    `SectionDescriptor` | `getStudySectionDescriptorById​(java.lang.String studyId, java.lang.String id)` | Gets the study section descriptor by the specified id.
    `java.util.List<SectionDescriptor>` | `getStudySections​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId)` | Gets the study sections.
    `Tlf` | `getStudyTlfByTlfIdentifier​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String tlfIdentifier)` | Gets the study TLF with the specified TLF identifier.
    `java.util.List<Tlf>` | `getStudyTlfsBySectionId​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String sectionId, boolean recurse)` | Gets the study TLFs within the specified section.
    `java.util.List<Tlf>` | `getStudyTlfsBySectionNameAndIdentifier​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.lang.String sectionName, java.lang.String sectionIdentifier, boolean recurse)` | Gets the study TLFs within the specified section.
    `java.util.List<AttributeMetadata>` | `getTlfAttributeMetadata()` | Gets the TLF attribute metadata.
    `StudyTlfInfo` | `getTlfs​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId)` | Gets the Tables, Listings and Figures for the specified study.
    `StudyTlfInfo` | `setTlfs​(StudyTlfInfo studyTlfInfo)` | Sets the Tables, Listings and Figures for the study.

- - ### Method Detail

    - #### getTlfs

          StudyTlfInfo getTlfs​(java.lang.String studyId,
                               java.lang.String baseStandardName,
                               java.lang.String modelId)
                        throws StudyNotFoundException

      Gets the Tables, Listings and Figures for the specified study.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
      Returns:
        The TLFs along with the study and standard information.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.

    - #### setTlfs

          StudyTlfInfo setTlfs​(StudyTlfInfo studyTlfInfo)
                        throws StudyNotFoundException,
                               TlfUpdateException

      Sets the Tables, Listings and Figures for the study.
      Parameters:
        `studyTlfInfo` - The study and TLF information to update the study TLFs.
      Returns:
        The study and TLF information with the updated study TLFs.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `TlfUpdateException` - Thrown when there was an issue when updating the study TLFs.

    - #### getStudySectionDescriptorById

          SectionDescriptor getStudySectionDescriptorById​(java.lang.String studyId,
                                                          java.lang.String id)
                                                   throws StudyNotFoundException,
                                                          SectionNotFoundException

      Gets the study section descriptor by the specified id.
      Parameters:
        `studyId` - The id of the study.
        `id` - The id of the section.
      Returns:
        The study section.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `SectionNotFoundException` - Thrown when the specified section does not exist.

    - #### getTlfAttributeMetadata

          java.util.List<AttributeMetadata> getTlfAttributeMetadata()
                                                             throws ModelNotFoundException

      Gets the TLF attribute metadata.
      Returns:
        The TLF attribute metadata.
      Throws:
        `ModelNotFoundException` - Thrown when the TLF model does not exist.

    - #### getStudySections

          java.util.List<SectionDescriptor> getStudySections​(java.lang.String studyId,
                                                             java.lang.String baseStandardName,
                                                             java.lang.String modelId)
                                                      throws StudyNotFoundException

      Gets the study sections.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
      Returns:
        The study sections.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.

    - #### getStudyTlfsBySectionId

          java.util.List<Tlf> getStudyTlfsBySectionId​(java.lang.String studyId,
                                                      java.lang.String baseStandardName,
                                                      java.lang.String modelId,
                                                      java.lang.String sectionId,
                                                      boolean recurse)
                                               throws StudyNotFoundException,
                                                      SectionNotFoundException

      Gets the study TLFs within the specified section. Note: specifying null for sectionId will include TLFs at the study TLF root.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `sectionId` - The identifier of the section. See `AbstractIdentifiable.getId()`.
        `recurse` - Indicates whether to retrieve TLFs from subsections.
      Returns:
        The study TLFs.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `SectionNotFoundException` - Thrown when the specified section does not exist.

    - #### getStudyTlfsBySectionNameAndIdentifier

          java.util.List<Tlf> getStudyTlfsBySectionNameAndIdentifier​(java.lang.String studyId,
                                                                     java.lang.String baseStandardName,
                                                                     java.lang.String modelId,
                                                                     java.lang.String sectionName,
                                                                     java.lang.String sectionIdentifier,
                                                                     boolean recurse)
                                                              throws StudyNotFoundException,
                                                                     SectionNotFoundException

      Gets the study TLFs within the specified section. Note: specifying null for sectionName and sectionIdentifier will include TLFs at the study TLF root.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `sectionName` - The name of the section.
        `sectionIdentifier` - The section identifier of the section. See `SectionDescriptor.getSectionIdentifier()`.
        `recurse` - Indicates whether to retrieve TLFs from subsections.
      Returns:
        The study TLFs.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `SectionNotFoundException` - Thrown when the specified section does not exist.

    - #### getAnalysisResultsByStudyTlfId

          java.util.List<AnalysisResult> getAnalysisResultsByStudyTlfId​(java.lang.String studyId,
                                                                        java.lang.String baseStandardName,
                                                                        java.lang.String modelId,
                                                                        java.lang.String tlfId)
                                                                 throws StudyNotFoundException,
                                                                        TlfNotFoundException

      Gets the analysis results for the TLF id.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `tlfId` - The TLF id.
      Returns:
        The analysis results.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `TlfNotFoundException` - Thrown when the specified TLF does not exist.

    - #### getAnalysisResultsByStudyTlfIdentifier

          java.util.List<AnalysisResult> getAnalysisResultsByStudyTlfIdentifier​(java.lang.String studyId,
                                                                                java.lang.String baseStandardName,
                                                                                java.lang.String modelId,
                                                                                java.lang.String tlfIdentifier)
                                                                         throws StudyNotFoundException,
                                                                                TlfNotFoundException

      Gets the analysis results for the TLF identifier.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `tlfIdentifier` - The TLF identifier.
      Returns:
        The analysis results.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `TlfNotFoundException` - Thrown when the specified TLF does not exist.

    - #### getAnalysisDatasetsByResultId

          java.util.List<AnalysisDataset> getAnalysisDatasetsByResultId​(java.lang.String studyId,
                                                                        java.lang.String baseStandardName,
                                                                        java.lang.String modelId,
                                                                        java.lang.String resultId)
                                                                 throws StudyNotFoundException,
                                                                        AnalysisResultNotFoundException

      Gets the analysis data sets by the analysis results id.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `resultId` - The analysis result id.
      Returns:
        The analysis data sets.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `AnalysisResultNotFoundException` - Thrown when the specified analysis result does not exist.

    - #### getAnalysisDatasetsByResultIdentifier

          java.util.List<AnalysisDataset> getAnalysisDatasetsByResultIdentifier​(java.lang.String studyId,
                                                                                java.lang.String baseStandardName,
                                                                                java.lang.String modelId,
                                                                                java.lang.String resultIdentifier)
                                                                         throws StudyNotFoundException,
                                                                                AnalysisResultNotFoundException

      Gets the analysis data sets by the analysis results identifier.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `resultIdentifier` - The analysis result identifier.
      Returns:
        The analysis data sets.
      Throws:
        `StudyNotFoundException` - Thrown when the specified study does not exist.
        `AnalysisResultNotFoundException` - Thrown when the specified analysis result does not exist.

    - #### getStudyTlfByTlfIdentifier

          Tlf getStudyTlfByTlfIdentifier​(java.lang.String studyId,
                                         java.lang.String baseStandardName,
                                         java.lang.String modelId,
                                         java.lang.String tlfIdentifier)
                                  throws StudyNotFoundException,
                                         TlfNotFoundException

      Gets the study TLF with the specified TLF identifier.
      Parameters:
        `studyId` - The identifier of the study.
        `baseStandardName` - The name of the base standard, such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `tlfIdentifier` - The TLF identifier.
      Returns:
        The TLF.
      Throws:
        `StudyNotFoundException` - Thrown when the specified TLF does not exist.
        `TlfNotFoundException` - Thrown when the specified TLF does not exist.